
I was a latch-key kid and also the type that hated staying home. I had been sick in bed with pneumonia, for a week. On Friday, my parents were at work. I decided enough was enough and headed off to school. We lived in the country and my school was about a mile away. It was a gray overcast, rainy day. I walked to school in my windbreaker and baseball cap. By the time I got to school, I was soaked to the bone. I slid into class and, after about an hour, I felt really bad. By lunchtime, I decided to leave school to go home. By the time I walked in the door, I was delirious. I walked out of my clothes and fell into bed. I remember coughing and coughing, and feeling so, so sick. I was so cold.

Slowly everything went dark. I heard a roar of what sounded like an engine, and then there was nothing. I remember standing up and seeing my body lying in my bed. I felt very calm. I turned to see my grandmother standing there in her pink dress. I knew it wasn't her as she had passed away only months before. She smiled and held out her hand. I took her hand and the next thing I knew I was flying and moving incredibly fast! There were these beautiful beings all around me. I began to cry.

One of them stopped me abruptly. They all surrounded me; they were lovely and full of love. One reached out and touched my chest. The touch was so warm that it seemed to smile. They talked to me without moving their mouths; I actually can't remember if they had mouths. They took me by the hands and we flew to a golden city that was surreal in color. Another Being approached me who was different and older than the rest. We talked for what seemed like forever. Then the Being placed its hand on my shoulder and BAM!

I was on an escalator in some shopping mall, to which I had never been. I was on the up-escalator. At the top of the escalator, waiting for me, were both of my deceased grandmas dressed in their Sunday best dresses. I remember their words as if this happened yesterday. ’Well, little man, you have quite the journey ahead, but this is not your time’. They began to tell me things that would happen in my life, like the woman I would eventually meet, fall in love with, and marry. They showed me the death of my cousin, and told me I must return to my body. Before I left, they said I would live a long and prosperous life, and then BOOM!

I felt pain; I heard the sound of a thousand freight trains. I opened my eyes to see our next-door neighbor who was a nurse. She was on the floor bent over me, with eyes full of tears. She started crying. I was very confused and embarrassed that I was lying there in only my underwear. 'Are you okay?' I asked. She smiled and hugged me. Her husband came rushing into the room. He looked gray and older. About five minutes later, a fire truck and an ambulance arrived. My mom and dad came home a short time after that.

I found out later that the school had called my mom and asked why I went home. She told them that I wasn't at school and that I was home sick still. She then called home and after I didn't answer she called the neighbor to check on me. When the neighbor came over, she found me. I was not breathing and did not have a heartbeat. She screamed for her husband and then started CPR (Cardio-Pulmonary Resuscitation). She said she worked on me for 10 minutes and was about to stop when I awoke.
